export path=($path $HOME/.config/dotfiles/bin)
export fpath=($fpath $ZDOTDIR/plugins/completions/src $ZDOTDIR/local/fpath)

# Completions
mkdir -p $HOME/.cache/zsh
autoload -Uz compinit
compinit -d $HOME/.cache/zsh/compdump

# Own Files
source $ZDOTDIR/files/dircolor.zsh
source $ZDOTDIR/files/aliases.zsh
source $ZDOTDIR/files/completion.zsh
source $ZDOTDIR/files/history.zsh
source $ZDOTDIR/files/keybindings.zsh
source $ZDOTDIR/files/termsupport.zsh
source $ZDOTDIR/files/sudo.zsh
source $ZDOTDIR/files/cnf.zsh
source $ZDOTDIR/files/fzf.zsh
source $ZDOTDIR/files/direnv.zsh
source $ZDOTDIR/files/asdf.zsh
source $ZDOTDIR/files/lando.zsh

# Plugins and Configs
eval "$(fasd --init auto)"
source $ZDOTDIR/plugins/fzfasd/fzf-fasd.plugin.zsh
export FZF_MARKS_FILE=$HOME/.config/fzfmarks
source $ZDOTDIR/plugins/fzfmarks/fzf-marks.plugin.zsh
source $ZDOTDIR/plugins/gitignore/gitignore.plugin.zsh
source $ZDOTDIR/plugins/jq/jq.plugin.zsh
source $ZDOTDIR/plugins/fzftab/fzf-tab.zsh
source $ZDOTDIR/plugins/suggestions/zsh-autosuggestions.zsh
source $ZDOTDIR/plugins/syntax/zsh-syntax-highlighting.zsh

# Local RC
[[ -f "$ZDOTDIR/local/rc.zsh" ]] && source "$ZDOTDIR/local/rc.zsh"

# Theme
export STARSHIP_CONFIG=$ZDOTDIR/starship.toml
eval "$(starship init zsh)"
